Frontend API
Add a new email address to the user account
cURL
curl --request POST \ --url https://api.wacht.dev/me/email-addresses \ --header 'Content-Type: application/x-www-form-urlencoded' \ --cookie session_id= \ --data email=newemail@example.com
{ "status": 200, "message": "", "data": { "id": "<string>", "email": "jsmith@example.com", "primary": true, "verified": true, "created_at": "2023-11-07T05:31:56Z" }, "session": { "id": "123456789012345678", "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z" }, "errors": [ { "code": "INVALID_CREDENTIALS", "message": "Invalid credentials. Please try again." } ] }
"newemail@example.com"
Email address added
HTTP status code
200
Response message (empty on success)
""
Show child attributes
Minimal session info included in every response
Error details (null on success)
Was this page helpful?